Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks.testing
[Java] Interface TestOutputListener

    public interface TestOutputListener

Listens to the output events like printing to standard output or error

Method Summary
`void` | `onOutput(TestDescriptor testDescriptor, TestOutputEvent outputEvent)` Fired when during test execution anything is printed to standard output or error

Method Detail

### onOutput

    public void onOutput(TestDescriptor testDescriptor, TestOutputEvent outputEvent)

  Fired when during test execution anything is printed to standard output or error
  Parameters:
    `testDescriptor` - describes the test
    `outputEvent` - the event that contains the output message and the destination (standard output or error, etc.)

Gradle API 1.10